1. Opportunities
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
      • List properties
      • Properties
      • Customers
      • Companies
      • Work addresses
      • Customers
      • Companies
      • Work addresses
      • Properties
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
        GET
      • List opportunity stages
        GET
      • List opportunities
        GET
      • Opportunities
        GET
      • Opportunities
        POST
      • Opportunities
        PATCH
      • Opportunities
        DELETE
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Opportunities

List opportunities

GET
/opportunities

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/opportunities?createdByType=Online&includeCount=true' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "meta": {
        "totalRecords": 0,
        "serverTime": "string"
    },
    "pagination": {
        "hasMore": true,
        "nextCursor": 0,
        "prevCursor": 0
    },
    "data": [
        {
            "id": "string",
            "createdOnDateTime": "2019-08-24T14:15:22.123Z",
            "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
            "propertyID": 0,
            "type": "opportunity",
            "description": "string",
            "salesPersonID": 0,
            "status": "string",
            "pipeline": "string",
            "pipelineID": 0,
            "stageID": 0,
            "customerContactID": 0,
            "userGroupID": 0,
            "siteContactID": 0,
            "reportingLineID": 0,
            "businessUnitID": 0,
            "links": {
                "self": "string",
                "property": "string",
                "proposal": "string"
            }
        }
    ]
}
Modified at 2026-09-15 11:08:36
Previous
List opportunity stages
Next
Opportunities
Built with